Summary: A text file browser similar to more, but better
Name: less
Version: 466
Release: 1
License: GPLv3+
Group: Applications/Text
Source0: http://www.greenwoodsoftware.com/%{name}/%{name}-%{version}.tar.gz
Source1: http://www.greenwoodsoftware.com/%{name}/%{name}-%{version}.tar.gz.sig
Source2: lesspipe.sh
Source3: less.sh
Source4: less.csh
Patch0: %{name}-%{version}-aix.patch
Patch1: less-444-Foption.v2.patch
Patch2: less-394-search.patch
Patch4: less-394-time.patch
Patch5: less-418-fsync.patch
Patch6: less-436-manpage-add-old-bot-option.patch
Patch7: less-436-help.patch
URL: http://www.greenwoodsoftware.com/less/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch autoconf automake libtool

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi). 

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch1 -p1 -b .Foption
%patch2 -p1 -b .search
%patch4 -p1 -b .time
%patch5 -p1 -b .fsync
%patch6 -p1 -b .manpage-add-old-bot-option
%patch7 -p1 -b .help

autoreconf

chmod -R a+w *
chmod 644 lessecho.c lesskey.c version.c LICENSE


%build
export CC="xlc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DLARGE_FILES"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-secure
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
cp %{SOURCE3} %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d/*

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -sf ../..%{_bindir}/* .


%files
%defattr(-,root,system,-)
%doc LICENSE
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_mandir}/man1/*
/usr/bin/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Thu Sep 18 2014 Michael Perzl <michael@perzl.org> - 466-1
- updated to version 466

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 458-1
- updated to version 458

* Wed Sep 05 2012 Michael Perzl <michael@perzl.org> - 451-1
- updated to version 451

* Tue Aug 02 2011 Michael Perzl <michael@perzl.org> - 444-1
- updated to version 444

* Mon Apr 18 2011 Michael Perzl <michael@perzl.org> - 443-1
- updated to version 443

* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 436-2
- updated to latest security patches

* Mon Aug 31 2009 Michael Perzl <michael@perzl.org> - 436-1
- updated to version 436

* Wed Mar 26 2008 Michael Perzl <michael@perzl.org> - 418-1
- first version for AIX V5.1 and higher
